aboutsummaryrefslogtreecommitdiff
path: root/tests/run-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/run-all.sh')
-rwxr-xr-xtests/run-all.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/run-all.sh b/tests/run-all.sh
new file mode 100755
index 0000000..9c57391
--- /dev/null
+++ b/tests/run-all.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+# Run all tests
+set -e
+
+for T in $(find "$(dirname "$0")" -name test.sh -type f -executable); do
+ timeout -k 120 60 "$T"
+done